import tsPlugin from "rollup-plugin-ts";

/**
 * @type {import("rollup").RollupOptions}
 */
const rollupConfig = {

    input: "./source/webgl-renderer.ts",
    
    output: [
        {
            file: "./build/webgl-renderer.js",
            format: "esm"
        }
    ],

    plugins: [tsPlugin()],
};

export default rollupConfig;