import type { CommandTypeSet } from "./CommandType";

interface Command {

    /**
     * Define the type of command.
     */
    type: CommandTypeSet;

    /**
     * Unique identification of the command for feedback.
     */
    id?: string | number;
}

export type { Command };